Bug 530034 - ibus lost setting about last selected keymap in Desktop
ibus lost setting about last selected keymap in Desktop
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: ibus (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: Peng Huang
Fedora Extras Quality Assurance
: i18n
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-10-21 05:15 EDT by A S Alam
Modified: 2013-07-02 20:55 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-10-27 01:22:29 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description A S Alam 2009-10-21 05:15:50 EDT
Description of problem:
Ibus lost keymap selection (other that Default), if using in Desktop, each time, switch on, it shows only default keymap.

Version-Release number of selected component (if applicable):
ibus-1.2.0.20090927-1.fc12.x86_64
ibus-m17n-1.2.0.20090617-2.fc12.x86

How reproducible:
100%

Steps to Reproduce:
1. login to localize Desktop (Punjabi (pa_IN)
2. open gedit, activate input (with CTRL+SPACE)
3. change keymap to different (Punjabi Jhelum) (instead of default Punjabi Inscript)
4. Close Gedit and again Open gedit, Ctrl+Space)

Actual results:
Each time for same application, same user, same locale, Default keymap set

Expected results:
last time selected keymap should work in Desktop for same user

Additional info:
Comment 1 Ani Peter 2009-10-21 05:51:40 EDT
This exists with all locales. I tried with Malayalam (ml_IN) and Bengali (bn_IN) too.
For Malayalam, I use inscript, but in preferences, itrans is the first method, hence itrans is taken as default. Hence each time I activate ibus to work in an editor, I have to select inscript always. I feel this is wrong, last selected method should be available the next time you login.
Comment 2 Peng Huang 2009-10-27 01:22:29 EDT
As the design, ibus will not adjust the default input method automatically. You have change it in ibus preferences. The first input method in the list is the default input method. You can use mouse or buttons to change the order.

Note You need to log in before you can comment on or make changes to this bug.